跳轉到主要內容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
price
代幣 - 按時間查價格
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/price \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/price"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/price', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "address": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
  "priceInUsd": "1000",
  "timestamp": 1754055151000,
  "priceInNative": "1000",
  "priceInSol": "1000"
}
取得代幣以 USD 與原生貨幣計價的當前價格。如需歷史價格,請使用 /prices 端點或 GraphQL DEXTrades Cube。
相關: GraphQL DEX 交易 | MCP: token_get_price

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc
tokenAddress
string
必填

代幣地址

查詢參數

timestamp
integer<int64>
必填

價格時間戳(Unix 秒級時間戳)

回應

200 - application/json

按時間取得價格

Token price

address
string
必填

Token address

範例:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

priceInUsd
string
必填

Price in USD

範例:

"1000"

timestamp
integer<int64>
必填

Timestamp

範例:

1754055151000

priceInNative
string | null

Price in native token (alias)

範例:

"1000"

priceInSol
string | null

Price in native token

範例:

"1000"